<?php

/**
 *
 * This file is used to markup the public-facing aspects of the pedigree cells that are called recursively
 *
 * @link       https://www.pedigreeonline.com
 * @since      1.0.0
 *
 * @package    Pedigree_Online
 * @subpackage Pedigree_Online/public/partials
 *
 * @input $this -- Assuming it's called within the Pedigree_Online_Public class
 * @input $animal - An animal object from the API data (either father or mother)
 * @input $rowSpan - Calculated by callee
 * @input $gen - Current generation level
 */

?>

<td rowspan="<?php echo $rowSpan ?>" class="pedigree-gender-<?php echo strtolower($animal->sex) ?> pedigree-<?php echo strtolower($animal->index) ?> pedigree-gen-<?php echo (int) $gen ?>">


<?php if ($animal->name) { ?>
  <div>
    <?php if ($gen < 1) { ?>
    <a href="<?php echo $animal->url ?>" target="pedigreeonline" rel="nofollow" title="View <?php echo esc_attr($animal->name) ?> pedigree on PedigreeOnline">
    <?php } ?>
    <span class="pedigree-name"><?php echo $animal->name ?></span>
    <?php if ($gen < 1) { ?>
    </a>
    <?php }  ?>
  </div>
  <?php } else { ?>
  -
<?php } ?>


<?php if ($animal->dob && (($time = strtotime($animal->dob))) > 0) { ?>
  <div class="pedigree-dob"><?php echo date("M. j, Y", $time) ?></div>
<?php } ?>


<?php if ($animal->breed) { ?>
  <div>
    <span class="pedigree-breed"><?php echo $animal->breed ?></span>
    <?php if ($animal->registry_number) { ?>
    <span class="pedigree-regnum">(#<?php echo $animal->registry_number ?>)</span>
    <?php } ?>
  </div>
<?php } ?>


<?php if ($gen <= 2 && ($animal->performance_titles || $animal->show_titles)) { ?>
  <div class="pedigree-awards">
  <?php $titles = array_filter([$animal->performance_titles, $animal->show_titles],'trim'); ?>
  <?php echo join(' / ', $titles); ?>
  </div>
<?php } ?>

</td>